## ros-noetic-voice-text 2.1.21

=== debian/changelog ===
ros-noetic-voice-text (2.1.21-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.20-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.19-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.18-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.17-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.16-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-voice-text (2.1.15-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-voice-text (2.1.14-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-noetic-voice-text (2.1.13-2buster) buster; urgency=high

  * [voice_text] Call rosservice from python instead of bash (#166 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/166> )
    
      * rewrite text2wave with python
      * call rosservice from python instead of bash
    
  * Contributors: Hideaki Ito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-noetic-voice-text (2.1.12-2buster) buster; urgency=high

  * Fix install directory of text2wave to ./lib -> ./bin (#160 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/160>)
    text2wave Was wrongly  installed to CATKIN_PACKAGE_LIB_DESTINATION
    The launch file is assumed that it is installed under rospack find voice_text/bin
    https://github.com/jsk-ros-pkg/jsk_3rdparty/blob/2.1.10/3rdparty/voice_text/launch/voice_text.launch#L29
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-noetic-voice-text (2.1.11-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-noetic-voice-text (2.1.10-2buster) buster; urgency=high

  * add dependencies from voice_text to vt_dummy, solves #139 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/139> (#143 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/143>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-noetic-voice-text (2.1.9-2buster) buster; urgency=high

  * voice_text: add gencfg target to deps (#141 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/141>)
  * Contributors: Yuki Furta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-noetic-voice-text (2.1.8-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-noetic-voice-text (2.1.7-2buster) buster; urgency=high

  * voice_text: support dynamic linking (#135 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/135>)
    * install voice_text TARGETS - voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * voice_text: guide to install libs
    * install voice_text TARGETS
    * voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * add dependencies from generate_message_cpp to voice_text
    * use vt_dummy when we do not have voice_text library
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-noetic-voice-text (2.1.6-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.5-2buster) buster; urgency=high

  * [voice_text] Add respawn argument for sound_play (#125 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/125>)
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.4-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.3-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.2-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.1-2buster) buster; urgency=high

  * add dynamic_reconfigure to run/build depends  (#110 <https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/110>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-noetic-voice-text (2.1.0-2buster) buster; urgency=high

  * [voice_text] Refactor API (#101 <https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/101>)
    * Cleanup directory (remove rosbuild related files.)
    * Rewrote VoiceText server node as ROS friendly.
    * text2wave calls rosservice internally (This enables running VoiceText
    * engine on remote machine easily)
    * Create sample launch file
    * Create README
    * WARNING : This breaks API (we need to run voice_text node in addition to sound_play), so existing users will have to change launch file for using voice text.
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-noetic-voice-text (2.0.20-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-noetic-voice-text (2.0.19-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-voice-text (2.0.18-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-noetic-voice-text (2.0.17-2buster) buster; urgency=high




