## ros-noetic-voice-text 2.1.28

=== debian/changelog ===
ros-noetic-voice-text (2.1.28-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-voice-text (2.1.27-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-voice-text (2.1.26-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-voice-text (2.1.25-1focal) focal; urgency=high

  * GA: enable melodic/aarch64 (#432 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/432>)
  * Restart voice text if verification fails (#300 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/300>)
  * Add verification check rosinfo (#298 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/298>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-voice-text (2.1.24-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-voice-text (2.1.23-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-voice-text (2.1.22-1focal) focal; urgency=high

  * [voice_text] Fix README to follow supporting other speakers than SAYAKA (#220 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/220>)
  * Contributors: Shun Hasegawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-voice-text (2.1.21-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.20-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.19-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.18-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.17-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.16-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-voice-text (2.1.15-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-voice-text (2.1.14-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-voice-text (2.1.13-1focal) focal; urgency=high

  * [voice_text] Call rosservice from python instead of bash (#166 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/166> )
    
      * rewrite text2wave with python
      * call rosservice from python instead of bash
    
  * Contributors: Hideaki Ito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-voice-text (2.1.12-1focal) focal; urgency=high

  * Fix install directory of text2wave to ./lib -> ./bin (#160 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/160>)
    text2wave Was wrongly  installed to CATKIN_PACKAGE_LIB_DESTINATION
    The launch file is assumed that it is installed under rospack find voice_text/bin
    https://github.com/jsk-ros-pkg/jsk_3rdparty/blob/2.1.10/3rdparty/voice_text/launch/voice_text.launch#L29
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-voice-text (2.1.11-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-voice-text (2.1.10-1focal) focal; urgency=high

  * add dependencies from voice_text to vt_dummy, solves #139 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/139> (#143 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/143>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-voice-text (2.1.9-1focal) focal; urgency=high

  * voice_text: add gencfg target to deps (#141 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/141>)
  * Contributors: Yuki Furta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-voice-text (2.1.8-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-voice-text (2.1.7-1focal) focal; urgency=high

  * voice_text: support dynamic linking (#135 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/135>)
    * install voice_text TARGETS - voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * voice_text: guide to install libs
    * install voice_text TARGETS
    * voice_text: CMakeLists.txt: remove debug code to force non-exists VT_LIB_PATH
    * add dependencies from generate_message_cpp to voice_text
    * use vt_dummy when we do not have voice_text library
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-voice-text (2.1.6-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-voice-text (2.1.5-1focal) focal; urgency=high

  * [voice_text] Add respawn argument for sound_play (#125 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/125>)
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-voice-text (2.1.4-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-noetic-voice-text (2.1.3-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-voice-text (2.1.2-1focal) focal; urgency=high




